# Makefile.in generated by automake 1.15 from Makefile.am.
# swig/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Common SWIG build rules
# Author: Karl Wette, 2011--2014



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/lal
pkgincludedir = $(includedir)/lal
pkglibdir = $(libdir)/lal
pkglibexecdir = $(libexecdir)/lal
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_1)
TESTS = $(am__EXEEXT_1) $(test_scripts)
am__append_1 = \
	swiglal_config.h \
	$(END_OF_LIST)

am__append_2 = -MF ./$(DEPDIR)/swiglal.deps.tmp
#am__append_3 = -MF ./$(DEPDIR)/swiglal_octave.deps.tmp
#am__append_4 = SWIGTest$(PACKAGE_NAME)Octave.m
am__append_5 = -MF ./$(DEPDIR)/swiglal_python.deps.tmp
am__append_6 = SWIGTest$(PACKAGE_NAME)Python.py
subdir = swig
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/gnuscripts/ax_lib_hdf5.m4 \
	$(top_srcdir)/gnuscripts/ax_pthread.m4 \
	$(top_srcdir)/gnuscripts/lal.m4 \
	$(top_srcdir)/gnuscripts/lalsuite_build.m4 \
	$(top_srcdir)/gnuscripts/lalsuite_gccflags.m4 \
	$(top_srcdir)/gnuscripts/lalsuite_swig.m4 \
	$(top_srcdir)/gnuscripts/libtool.m4 \
	$(top_srcdir)/gnuscripts/ltoptions.m4 \
	$(top_srcdir)/gnuscripts/ltsugar.m4 \
	$(top_srcdir)/gnuscripts/ltversion.m4 \
	$(top_srcdir)/gnuscripts/lt~obsolete.m4 \
	$(top_srcdir)/gnuscripts/pkg.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(pkginclude_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/gnuscripts/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/config.h \
	$(top_builddir)/src/LALConfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(octexecdir)" \
	"$(DESTDIR)$(pkgpyexecdir)" "$(DESTDIR)$(pkgpyexecdir)" \
	"$(DESTDIR)$(swig_ifacedir)" "$(DESTDIR)$(pkgincludedir)"
LTLIBRARIES = $(octexec_LTLIBRARIES) $(pkgpyexec_LTLIBRARIES)
am__DEPENDENCIES_1 =
#swiglal_octave_la_DEPENDENCIES =  \
#	$(am__DEPENDENCIES_1)
am__swiglal_octave_la_SOURCES_DIST = SWIGTest.c
#am_swiglal_octave_la_OBJECTS =  \
#	swiglal_octave_la-SWIGTest.lo
#nodist_swiglal_octave_la_OBJECTS =  \
#	swiglal_octave_la-swiglal_octave.lo
swiglal_octave_la_OBJECTS = $(am_swiglal_octave_la_OBJECTS) \
	$(nodist_swiglal_octave_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
swiglal_octave_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(swiglal_octave_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link \
	$(CXXLD) $(swiglal_octave_la_CXXFLAGS) $(CXXFLAGS) \
	$(swiglal_octave_la_LDFLAGS) $(LDFLAGS) -o $@
#am_swiglal_octave_la_rpath = -rpath \
#	$(octexecdir)
swiglal_python_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_1)
am__swiglal_python_la_SOURCES_DIST = SWIGTest.c
am_swiglal_python_la_OBJECTS =  \
	swiglal_python_la-SWIGTest.lo
nodist_swiglal_python_la_OBJECTS =  \
	swiglal_python_la-swiglal_python.lo
swiglal_python_la_OBJECTS = $(am_swiglal_python_la_OBJECTS) \
	$(nodist_swiglal_python_la_OBJECTS)
swiglal_python_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(swiglal_python_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link \
	$(CCLD) $(swiglal_python_la_CFLAGS) $(CFLAGS) \
	$(swiglal_python_la_LDFLAGS) $(LDFLAGS) -o $@
am_swiglal_python_la_rpath = -rpath \
	$(pkgpyexecdir)
am__EXEEXT_1 =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
depcomp = $(SHELL) $(top_srcdir)/gnuscripts/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(swiglal_octave_la_SOURCES) \
	$(nodist_swiglal_octave_la_SOURCES) \
	$(swiglal_python_la_SOURCES) \
	$(nodist_swiglal_python_la_SOURCES)
DIST_SOURCES = $(am__swiglal_octave_la_SOURCES_DIST) \
	$(am__swiglal_python_la_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
am__pep3147_tweak = \
  sed -e 's|\.py$$||' -e 's|[^/]*$$|__pycache__/&.*.py|'
py_compile = $(top_srcdir)/gnuscripts/py-compile
HEADERS = $(nodist_swig_iface_HEADERS) $(pkginclude_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
am__test_logs3 = $(am__test_logs2:.sh.log=.log)
SH_LOG_DRIVER = $(SHELL) $(top_srcdir)/gnuscripts/test-driver
SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__test_logs4 = $(am__test_logs3:.m.log=.log)
M_LOG_DRIVER = $(SHELL) $(top_srcdir)/gnuscripts/test-driver
M_LOG_COMPILE = $(M_LOG_COMPILER) $(AM_M_LOG_FLAGS) $(M_LOG_FLAGS)
TEST_LOGS = $(am__test_logs4:.py.log=.log)
PY_LOG_DRIVER = $(SHELL) $(top_srcdir)/gnuscripts/test-driver
PY_LOG_COMPILE = $(PY_LOG_COMPILER) $(AM_PY_LOG_FLAGS) $(PY_LOG_FLAGS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/gnuscripts/depcomp \
	$(top_srcdir)/gnuscripts/lalsuite_header_links.am \
	$(top_srcdir)/gnuscripts/lalsuite_swig.am \
	$(top_srcdir)/gnuscripts/lalsuite_test.am \
	$(top_srcdir)/gnuscripts/mkinstalldirs \
	$(top_srcdir)/gnuscripts/py-compile \
	$(top_srcdir)/gnuscripts/test-driver
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/daniel/repositories/ligo-pypi/lal/lal/gnuscripts/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_CFLAGS =   -pthread  -O2 -g  -g3 -Wall -W -Werror -Wmissing-prototypes -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common -Wnested-externs -Wno-format-zero-length -fno-strict-aliasing -Wno-unused-result -Wno-unknown-pragmas -Wno-misleading-indentation 
AM_CPPFLAGS = -DTEST_DATA_DIR='"$(abs_srcdir)/"' -I$(top_builddir)/include -I$(top_srcdir)/src -DPKG_DATA_DIR='"$(pkgdatadir)/"'   -D_ISOC99_SOURCE 
AM_CXXFLAGS =  
AM_DEFAULT_VERBOSITY = 0
AM_FCFLAGS =  
AM_FFLAGS =  
AM_LDFLAGS =  
AR = ar
AUTOCONF = ${SHELL} /home/daniel/repositories/ligo-pypi/lal/lal/gnuscripts/missing autoconf
AUTOHEADER = ${SHELL} /home/daniel/repositories/ligo-pypi/lal/lal/gnuscripts/missing autoheader
AUTOMAKE = ${SHELL} /home/daniel/repositories/ligo-pypi/lal/lal/gnuscripts/missing automake-1.15
AVX2_CFLAGS = -DSIMD_INSTRSET=AVX2 -mavx2
AVX_CFLAGS = -DSIMD_INSTRSET=AVX -mavx
AWK = mawk
BIBTEX = 
BOINC_CFLAGS = 
BOINC_EXTRA_CFLAGS = 
BOINC_EXTRA_LIBS = 
BOINC_LIBS = 
BOINC_PREFIX = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = 
CPP = gcc -E
CPPFLAGS = 
CUDA_CFLAGS = 
CUDA_LIBS = 
CXX = 
CXXCPP = 
CXXDEPMODE = 
CXXFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--enable-silent-rules' '--enable-swig-python'
DLLTOOL = false
DOXYGEN = 
DOXYGEN_ENABLED_SECTIONS = 
DOXYGEN_INSTALL_DIRMAP = 
DOXYGEN_MATHJAXDIR = 
DOXYGEN_TAGFILES = 
DOXYGEN_WARNING_REGEX = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
FFTW3_CFLAGS = 
FFTW3_LIBS = -lfftw3 -lfftw3f
FGREP = /bin/grep -F
GIT = /usr/bin/git
GREP = /bin/grep
GSL_CFLAGS = 
GSL_LIBS = -lgsl -lgslcblas -lm
H5CC = /usr/bin/h5cc
H5FC = /usr/bin/h5fc
HDF5_CC = 
HDF5_CFLAGS = 
HDF5_CPPFLAGS = -I/usr/include/hdf5/serial -I/usr/include
HDF5_FC = 
HDF5_FFLAGS = -I/usr/lib/x86_64-linux-gnu/hdf5/serial -L/usr/lib/x86_64-linux-gnu/hdf5/serial -I/usr/include/hdf5/serial 
HDF5_FLIBS =  -lm -ldl -lz -lsz -lpthread -lhdf5_fortran -lhdf5 -lhdf5hl_fortran -lhdf5_hl
HDF5_LDFLAGS = -L/usr/lib/x86_64-linux-gnu/hdf5/serial 
HDF5_LIBS = -lm -ldl -lz -lsz -lpthread  -lhdf5 -lhdf5_hl
HDF5_VERSION = 1.8.16
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDADD = $(top_builddir)/src/liblal.la $(top_builddir)/src/support/liblalsupport.la
LDFLAGS = 
LIBAGE = 0
LIBAGE_SUPPORT = 0
LIBCURRENT = 14
LIBCURRENT_SUPPORT = 11
LIBOBJS = 
LIBREVISION = 0
LIBREVISION_SUPPORT = 0
LIBS = -lfftw3 -lfftw3f  -lfftw3 -lfftw3f -lgsl -lgslcblas  -lgsl -lgslcblas -lm -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVERSION = 14:0:0
LIBVERSION_SUPPORT = 11:0:0
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/daniel/repositories/ligo-pypi/lal/lal/gnuscripts/missing makeinfo
MANIFEST_TOOL = :
MIN_GLUE_VERSION = 1.54.1
MKDIR_P = /bin/mkdir -p
NIGHTLY_VERSION = 
NM = /usr/bin/nm -B
NMEDIT = 
NVCC = 
OBJDUMP = objdump
OBJEXT = o
OCTAVE = 
OTOOL = 
OTOOL64 = 
PACKAGE = lal
PACKAGE_BUGREPORT = lal-discuss@ligo.org
PACKAGE_NAME = LAL
PACKAGE_NAME_LCASE = lal
PACKAGE_NAME_NOLAL = 
PACKAGE_NAME_UCASE = LAL
PACKAGE_STRING = LAL 6.18.0
PACKAGE_TARNAME = lal
PACKAGE_URL = 
PACKAGE_VERSION = 6.18.0
PAGER = /usr/bin/less -F -R -S -X
PAGER_CPPFLAGS = -DPAGER='"$(PAGER)"'
PATH_SEPARATOR = :
PERL = 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
PYTHON = /home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SSE2_CFLAGS = -DSIMD_INSTRSET=SSE2 -msse2
SSE3_CFLAGS = -DSIMD_INSTRSET=SSE3 -msse3
SSE4_1_CFLAGS = -DSIMD_INSTRSET=SSE4_1 -msse4.1
SSE4_2_CFLAGS = -DSIMD_INSTRSET=SSE4_2 -msse4.2
SSE_CFLAGS = -DSIMD_INSTRSET=SSE -msse
SSSE3_CFLAGS = -DSIMD_INSTRSET=SSSE3 -mssse3
STRIP = strip
SWIG = env CCACHE_CPP2=1 /usr/bin/swig
SWIG_CPPFLAGS =  -D_ISOC99_SOURCE
SWIG_DEPENDENCIES = 
SWIG_LDFLAGS = 
SWIG_LTLIBDIR = .libs
SWIG_OCTAVE_CPPFLAGS = 
SWIG_OCTAVE_CPPFLAGS_IOCTAVE = 
SWIG_OCTAVE_CXXFLAGS = 
SWIG_OCTAVE_FLAGS = 
SWIG_OCTAVE_LDFLAGS = 
SWIG_PYTHON_CFLAGS =  -fno-strict-aliasing -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wno-uninitialized -Wno-unused-variable -Wno-unused-but-set-variable -Wno-format-extra-args -Wno-tautological-compare -fno-strict-aliasing
SWIG_PYTHON_CPPFLAGS =  -I/usr/include/python2.7 -I/usr/include/python2.7 -I/home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers/local/lib/python2.7/site-packages/numpy/core/include -DNPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION -DSWIGLAL_HAVE_NPY_ARRAY_WRITEABLE -DSWIGLAL_HAVE_PyArray_SetBaseObject
SWIG_PYTHON_FLAGS = -py3 -relativeimport -O -builtin -globals globalvar
SWIG_PYTHON_LDFLAGS =  -Wl,-Bsymbolic-functions -Wl,-z,relro -L/home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers/lib/python2.7/site-packages -L/home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers/lib/python2.7/site-packages -L/usr/lib/python2.7
SWIG_SOEXT = .so
SW_VERS = 
VERSION = 6.18.0
ZLIB_CFLAGS = 
ZLIB_LIBS = -lz
abs_builddir = /home/daniel/repositories/ligo-pypi/lal/lal/swig
abs_srcdir = /home/daniel/repositories/ligo-pypi/lal/lal/swig
abs_top_builddir = /home/daniel/repositories/ligo-pypi/lal/lal
abs_top_srcdir = /home/daniel/repositories/ligo-pypi/lal/lal
ac_configure_args =  '--enable-silent-rules' '--prefix=//home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers' '--enable-swig-python'
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_DUMPBIN = 
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
configure_date = 2017-07-12T16:24:03-0400
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/daniel/repositories/ligo-pypi/lal/lal/gnuscripts/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
octexecdir = 
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/lal
pkgpythondir = ${pkgpyexecdir}
prefix = //home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
python_exec_prefix = /home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers
python_prefix = /home/daniel/.virtualenvs/IGRlaptop21/test-lalinstallers
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
BUILT_SOURCES = $(am__append_1)
DEFAULT_INCLUDES = 
EXTRA_DIST = $(test_scripts) $(test_script_runner) \
	generate_swig_iface.py $(END_OF_LIST)
EXTRA_HEADERS = 
pkginclude_HEADERS = SWIG$(PACKAGE_NAME)Alpha.i \
	SWIG$(PACKAGE_NAME)Omega.i SWIG$(PACKAGE_NAME)Test.h \
	$(END_OF_LIST) SWIGCommon.i SWIGOctave.i SWIGPython.i \
	$(END_OF_LIST)
TEST_EXTENSIONS = .sh .m .py
TESTS_ENVIRONMENT = \
	export LC_ALL; LC_ALL=C; \
	export OMP_NUM_THREADS; OMP_NUM_THREADS=2; \
	export LAL_DEBUG_LEVEL; LAL_DEBUG_LEVEL=msglvl1,memdbg; \
	export LAL_TEST_SRCDIR; LAL_TEST_SRCDIR="$(abs_srcdir)"; \
	export LAL_TEST_BUILDDIR; LAL_TEST_BUILDDIR="$(abs_builddir)"; \
	lalsuite_path="$(abs_top_builddir)/octave"; \
	test "x$(builddir)" = "x$(srcdir)" || lalsuite_path="$${lalsuite_path}:$(abs_top_srcdir)/octave"; \
	test "x$(LAL_OCTAVE_PATH)" = x || lalsuite_path="$${lalsuite_path}:$(LAL_OCTAVE_PATH)"; \
	test "x$${OCTAVE_PATH}" = x || lalsuite_path="$${lalsuite_path}:$${OCTAVE_PATH}"; \
	export OCTAVE_PATH; OCTAVE_PATH="$${lalsuite_path}"; \
	lalsuite_path="$(abs_top_builddir)/python"; \
	test "x$(builddir)" = "x$(srcdir)" || lalsuite_path="$${lalsuite_path}:$(abs_top_srcdir)/python"; \
	test "x$(LAL_PYTHON_PATH)" = x || lalsuite_path="$${lalsuite_path}:$(LAL_PYTHON_PATH)"; \
	test "x$${PYTHONPATH}" = x || lalsuite_path="$${lalsuite_path}:$${PYTHONPATH}"; \
	export PYTHONPATH; PYTHONPATH="$${lalsuite_path}"; \
	$(END_OF_LIST)

test_programs = 
test_scripts = $(am__append_4) $(am__append_6)
test_helpers = 
test_script_runner = $(top_srcdir)/gnuscripts/lalsuite_run_uninstalled
test_script_compiler = $(test_script_runner) --verbose '$(abs_top_builddir)' '$(abs_builddir)' '$(LDADD)'
SH_LOG_COMPILER = $(SHELL)
M_LOG_COMPILER = $(test_script_compiler) "$(OCTAVE)" -fH
PY_LOG_COMPILER = $(test_script_compiler) "$(PYTHON)" -u
swig_iface = swig$(PACKAGE).i
swig_preproc_flags = -Werror -Wextra -w201,302 \
	-I$(top_builddir)/include -includeall \
	-ignoremissing -xml -xmllite -MP -MD -MT $@ \
	$(am__append_2)
swig_flags = -Werror -Wextra -w314,506,511 -I$(top_builddir)/include $(SWIG_CPPFLAGS) $(LAL_SYSTEM_INCLUDES) -MP -MD -MT $@
swig_cppflags = -shared -I. -I$(top_builddir)/include $(SWIG_CPPFLAGS)
swig_ldflags = -module -avoid-version -version-info 0:0:0 $(SWIG_LDFLAGS)
swig_libtoolflags = --tag=disable-static
swig_ifacedir = $(pkgincludedir)
nodist_swig_iface_HEADERS = $(swig_iface)
#swig_deps_if = : no-deps-
swig_deps_if = 
#swig_octave_flags = -octave \
#	$(SWIG_OCTAVE_FLAGS) -outdir \
#	swiglal_octave/ $(swig_flags) \
#	$(am__append_3)
#octexec_LTLIBRARIES = swiglal_octave.la
#nodist_swiglal_octave_la_SOURCES = swiglal_octave.cpp
#swiglal_octave_la_SOURCES = SWIGTest.c
#swiglal_octave_la_CPPFLAGS = $(SWIG_OCTAVE_CPPFLAGS_IOCTAVE) $(swig_cppflags) $(SWIG_OCTAVE_CPPFLAGS)
#swiglal_octave_la_CXXFLAGS = $(SWIG_OCTAVE_CXXFLAGS)
#swiglal_octave_la_LDFLAGS = $(swig_ldflags) $(SWIG_OCTAVE_LDFLAGS)
#swiglal_octave_la_LIBADD = $(LDADD)
#swiglal_octave_la_LIBTOOLFLAGS = $(swig_libtoolflags)
swig_python_flags = -python \
	$(SWIG_PYTHON_FLAGS) -outdir \
	swiglal_python/ $(swig_flags) \
	$(am__append_5)
pkgpyexec_LTLIBRARIES = swiglal_python.la
nodist_pkgpyexec_PYTHON = swiglal_python/$(PACKAGE).py
nodist_swiglal_python_la_SOURCES = swiglal_python.c
swiglal_python_la_SOURCES = SWIGTest.c
swiglal_python_la_CFLAGS = $(SWIG_PYTHON_CFLAGS)
swiglal_python_la_CPPFLAGS = $(swig_cppflags) $(SWIG_PYTHON_CPPFLAGS)
swiglal_python_la_LDFLAGS = $(swig_ldflags) $(SWIG_PYTHON_LDFLAGS)
swiglal_python_la_LIBADD = $(LDADD)
swiglal_python_la_LIBTOOLFLAGS = $(swig_libtoolflags)
swig_function_prefixes = XLAL LAL
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .log .m .m$(EXEEXT) .o .obj .py .py$(EXEEXT) .sh .sh$(EXEEXT) .trs
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/gnuscripts/lalsuite_swig.am $(top_srcdir)/gnuscripts/lalsuite_header_links.am $(top_srcdir)/gnuscripts/lalsuite_test.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign swig/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign swig/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/gnuscripts/lalsuite_swig.am $(top_srcdir)/gnuscripts/lalsuite_header_links.am $(top_srcdir)/gnuscripts/lalsuite_test.am $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-octexecLTLIBRARIES: $(octexec_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(octexec_LTLIBRARIES)'; test -n "$(octexecdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(octexecdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(octexecdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(octexecdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(octexecdir)"; \
	}

uninstall-octexecLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(octexec_LTLIBRARIES)'; test -n "$(octexecdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(octexecdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(octexecdir)/$$f"; \
	done

clean-octexecLTLIBRARIES:
	-test -z "$(octexec_LTLIBRARIES)" || rm -f $(octexec_LTLIBRARIES)
	@list='$(octexec_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

install-pkgpyexecLTLIBRARIES: $(pkgpyexec_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(pkgpyexec_LTLIBRARIES)'; test -n "$(pkgpyexecdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgpyexecdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgpyexecdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkgpyexecdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkgpyexecdir)"; \
	}

uninstall-pkgpyexecLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgpyexec_LTLIBRARIES)'; test -n "$(pkgpyexecdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkgpyexecdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkgpyexecdir)/$$f"; \
	done

clean-pkgpyexecLTLIBRARIES:
	-test -z "$(pkgpyexec_LTLIBRARIES)" || rm -f $(pkgpyexec_LTLIBRARIES)
	@list='$(pkgpyexec_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

swiglal_octave.la: $(swiglal_octave_la_OBJECTS) $(swiglal_octave_la_DEPENDENCIES) $(EXTRA_swiglal_octave_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(swiglal_octave_la_LINK) $(am_swiglal_octave_la_rpath) $(swiglal_octave_la_OBJECTS) $(swiglal_octave_la_LIBADD) $(LIBS)

swiglal_python.la: $(swiglal_python_la_OBJECTS) $(swiglal_python_la_DEPENDENCIES) $(EXTRA_swiglal_python_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(swiglal_python_la_LINK) $(am_swiglal_python_la_rpath) $(swiglal_python_la_OBJECTS) $(swiglal_python_la_LIBADD) $(LIBS)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/swiglal_octave_la-SWIGTest.Plo
include ./$(DEPDIR)/swiglal_octave_la-swiglal_octave.Plo
include ./$(DEPDIR)/swiglal_python_la-SWIGTest.Plo
include ./$(DEPDIR)/swiglal_python_la-swiglal_python.Plo

.c.o:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<

swiglal_octave_la-SWIGTest.lo: SWIGTest.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(swiglal_octave_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_octave_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT swiglal_octave_la-SWIGTest.lo -MD -MP -MF $(DEPDIR)/swiglal_octave_la-SWIGTest.Tpo -c -o swiglal_octave_la-SWIGTest.lo `test -f 'SWIGTest.c' || echo '$(srcdir)/'`SWIGTest.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/swiglal_octave_la-SWIGTest.Tpo $(DEPDIR)/swiglal_octave_la-SWIGTest.Plo
#	$(AM_V_CC)source='SWIGTest.c' object='swiglal_octave_la-SWIGTest.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(swiglal_octave_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_octave_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o swiglal_octave_la-SWIGTest.lo `test -f 'SWIGTest.c' || echo '$(srcdir)/'`SWIGTest.c

swiglal_python_la-SWIGTest.lo: SWIGTest.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(swiglal_python_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_python_la_CPPFLAGS) $(CPPFLAGS) $(swiglal_python_la_CFLAGS) $(CFLAGS) -MT swiglal_python_la-SWIGTest.lo -MD -MP -MF $(DEPDIR)/swiglal_python_la-SWIGTest.Tpo -c -o swiglal_python_la-SWIGTest.lo `test -f 'SWIGTest.c' || echo '$(srcdir)/'`SWIGTest.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/swiglal_python_la-SWIGTest.Tpo $(DEPDIR)/swiglal_python_la-SWIGTest.Plo
#	$(AM_V_CC)source='SWIGTest.c' object='swiglal_python_la-SWIGTest.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(swiglal_python_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_python_la_CPPFLAGS) $(CPPFLAGS) $(swiglal_python_la_CFLAGS) $(CFLAGS) -c -o swiglal_python_la-SWIGTest.lo `test -f 'SWIGTest.c' || echo '$(srcdir)/'`SWIGTest.c

swiglal_python_la-swiglal_python.lo: swiglal_python.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(swiglal_python_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_python_la_CPPFLAGS) $(CPPFLAGS) $(swiglal_python_la_CFLAGS) $(CFLAGS) -MT swiglal_python_la-swiglal_python.lo -MD -MP -MF $(DEPDIR)/swiglal_python_la-swiglal_python.Tpo -c -o swiglal_python_la-swiglal_python.lo `test -f 'swiglal_python.c' || echo '$(srcdir)/'`swiglal_python.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/swiglal_python_la-swiglal_python.Tpo $(DEPDIR)/swiglal_python_la-swiglal_python.Plo
#	$(AM_V_CC)source='swiglal_python.c' object='swiglal_python_la-swiglal_python.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(swiglal_python_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_python_la_CPPFLAGS) $(CPPFLAGS) $(swiglal_python_la_CFLAGS) $(CFLAGS) -c -o swiglal_python_la-swiglal_python.lo `test -f 'swiglal_python.c' || echo '$(srcdir)/'`swiglal_python.c

.cpp.o:
#	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
#	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Po
	$(AM_V_CXX)source='$<' object='$@' libtool=no \
	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
#	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
#	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Po
	$(AM_V_CXX)source='$<' object='$@' libtool=no \
	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
#	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
#	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Plo
	$(AM_V_CXX)source='$<' object='$@' libtool=yes \
	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
	$(AM_V_CXX_no)$(LTCXXCOMPILE) -c -o $@ $<

swiglal_octave_la-swiglal_octave.lo: swiglal_octave.cpp
#	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(swiglal_octave_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_octave_la_CPPFLAGS) $(CPPFLAGS) $(swiglal_octave_la_CXXFLAGS) $(CXXFLAGS) -MT swiglal_octave_la-swiglal_octave.lo -MD -MP -MF $(DEPDIR)/swiglal_octave_la-swiglal_octave.Tpo -c -o swiglal_octave_la-swiglal_octave.lo `test -f 'swiglal_octave.cpp' || echo '$(srcdir)/'`swiglal_octave.cpp
#	$(AM_V_at)$(am__mv) $(DEPDIR)/swiglal_octave_la-swiglal_octave.Tpo $(DEPDIR)/swiglal_octave_la-swiglal_octave.Plo
	$(AM_V_CXX)source='swiglal_octave.cpp' object='swiglal_octave_la-swiglal_octave.lo' libtool=yes \
	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(swiglal_octave_la_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(swiglal_octave_la_CPPFLAGS) $(CPPFLAGS) $(swiglal_octave_la_CXXFLAGS) $(CXXFLAGS) -c -o swiglal_octave_la-swiglal_octave.lo `test -f 'swiglal_octave.cpp' || echo '$(srcdir)/'`swiglal_octave.cpp

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-nodist_pkgpyexecPYTHON: $(nodist_pkgpyexec_PYTHON)
	@$(NORMAL_INSTALL)
	@list='$(nodist_pkgpyexec_PYTHON)'; dlist=; list2=; test -n "$(pkgpyexecdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgpyexecdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgpyexecdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    $(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    list2="$$list2 $$b$$p"; \
	  else :; fi; \
	done; \
	for file in $$list2; do echo $$file; done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgpyexecdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgpyexecdir)" || exit $$?; \
	done || exit $$?; \
	if test -n "$$dlist"; then \
	  $(am__py_compile) --destdir "$(DESTDIR)" \
	                    --basedir "$(pkgpyexecdir)" $$dlist; \
	else :; fi

uninstall-nodist_pkgpyexecPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_pkgpyexec_PYTHON)'; test -n "$(pkgpyexecdir)" || list=; \
	py_files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$py_files" || exit 0; \
	dir='$(DESTDIR)$(pkgpyexecdir)'; \
	pyc_files=`echo "$$py_files" | sed 's|$$|c|'`; \
	pyo_files=`echo "$$py_files" | sed 's|$$|o|'`; \
	py_files_pep3147=`echo "$$py_files" | $(am__pep3147_tweak)`; \
	echo "$$py_files_pep3147";\
	pyc_files_pep3147=`echo "$$py_files_pep3147" | sed 's|$$|c|'`; \
	pyo_files_pep3147=`echo "$$py_files_pep3147" | sed 's|$$|o|'`; \
	st=0; \
	for files in \
	  "$$py_files" \
	  "$$pyc_files" \
	  "$$pyo_files" \
	  "$$pyc_files_pep3147" \
	  "$$pyo_files_pep3147" \
	; do \
	  $(am__uninstall_files_from_dir) || st=$$?; \
	done; \
	exit $$st
install-nodist_swig_ifaceHEADERS: $(nodist_swig_iface_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(nodist_swig_iface_HEADERS)'; test -n "$(swig_ifacedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(swig_ifacedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(swig_ifacedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(swig_ifacedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(swig_ifacedir)" || exit $$?; \
	done

uninstall-nodist_swig_ifaceHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_swig_iface_HEADERS)'; test -n "$(swig_ifacedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(swig_ifacedir)'; $(am__uninstall_files_from_dir)
install-pkgincludeHEADERS: $(pkginclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
	done

uninstall-pkgincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags
ctags: ctags-am

CTAGS: ctags

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

# Recover from deleted '.trs' file; this should ensure that
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
# to avoid problems with "make -n".
.log.trs:
	rm -f $< $@
	$(MAKE) $(AM_MAKEFLAGS) $<

# Leading 'am--fnord' is there to ensure the list of targets does not
# expand to empty, as could happen e.g. with make check TESTS=''.
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
am--force-recheck:
	@:

$(TEST_SUITE_LOG): $(TEST_LOGS)
	@$(am__set_TESTS_bases); \
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
	redo_bases=`for i in $$bases; do \
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
	            done`; \
	if test -n "$$redo_bases"; then \
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
	  if $(am__make_dryrun); then :; else \
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
	  fi; \
	fi; \
	if test -n "$$am__remaking_logs"; then \
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
	       "recursion detected" >&2; \
	elif test -n "$$redo_logs"; then \
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
	fi; \
	if $(am__make_dryrun); then :; else \
	  st=0;  \
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
	  for i in $$redo_bases; do \
	    test -f $$i.trs && test -r $$i.trs \
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
	    test -f $$i.log && test -r $$i.log \
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
	  done; \
	  test $$st -eq 0 || exit 1; \
	fi
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
	ws='[ 	]'; \
	results=`for b in $$bases; do echo $$b.trs; done`; \
	test -n "$$results" || results=/dev/null; \
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
	  success=true; \
	else \
	  success=false; \
	fi; \
	br='==================='; br=$$br$$br$$br$$br; \
	result_count () \
	{ \
	    if test x"$$1" = x"--maybe-color"; then \
	      maybe_colorize=yes; \
	    elif test x"$$1" = x"--no-color"; then \
	      maybe_colorize=no; \
	    else \
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
	    fi; \
	    shift; \
	    desc=$$1 count=$$2; \
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
	      color_start=$$3 color_end=$$std; \
	    else \
	      color_start= color_end=; \
	    fi; \
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
	}; \
	create_testsuite_report () \
	{ \
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
	}; \
	{								\
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
	    $(am__rst_title);						\
	  create_testsuite_report --no-color;				\
	  echo;								\
	  echo ".. contents:: :depth: 2";				\
	  echo;								\
	  for b in $$bases; do echo $$b; done				\
	    | $(am__create_global_log);					\
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
	if $$success; then						\
	  col="$$grn";							\
	 else								\
	  col="$$red";							\
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
	fi;								\
	echo "$${col}$$br$${std}"; 					\
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
	echo "$${col}$$br$${std}"; 					\
	create_testsuite_report --maybe-color;				\
	echo "$$col$$br$$std";						\
	if $$success; then :; else					\
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
	  fi;								\
	  echo "$$col$$br$$std";					\
	fi;								\
	$$success || exit 1

check-TESTS:
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
	exit $$?;
recheck: all $(check_PROGRAMS)
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	bases=`for i in $$bases; do echo $$i; done \
	         | $(am__list_recheck_tests)` || exit 1; \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	log_list=`echo $$log_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
	        am__force_recheck=am--force-recheck \
	        TEST_LOGS="$$log_list"; \
	exit $$?
.sh.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
#.sh$(EXEEXT).log:
#	@p='$<'; \
#	$(am__set_b); \
#	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
#	--log-file $$b.log --trs-file $$b.trs \
#	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
#	"$$tst" $(AM_TESTS_FD_REDIRECT)
.m.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(M_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_M_LOG_DRIVER_FLAGS) $(M_LOG_DRIVER_FLAGS) -- $(M_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
#.m$(EXEEXT).log:
#	@p='$<'; \
#	$(am__set_b); \
#	$(am__check_pre) $(M_LOG_DRIVER) --test-name "$$f" \
#	--log-file $$b.log --trs-file $$b.trs \
#	$(am__common_driver_flags) $(AM_M_LOG_DRIVER_FLAGS) $(M_LOG_DRIVER_FLAGS) -- $(M_LOG_COMPILE) \
#	"$$tst" $(AM_TESTS_FD_REDIRECT)
.py.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(PY_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_PY_LOG_DRIVER_FLAGS) $(PY_LOG_DRIVER_FLAGS) -- $(PY_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
#.py$(EXEEXT).log:
#	@p='$<'; \
#	$(am__set_b); \
#	$(am__check_pre) $(PY_LOG_DRIVER) --test-name "$$f" \
#	--log-file $$b.log --trs-file $$b.trs \
#	$(am__common_driver_flags) $(AM_PY_LOG_DRIVER_FLAGS) $(PY_LOG_DRIVER_FLAGS) -- $(PY_LOG_COMPILE) \
#	"$$tst" $(AM_TESTS_FD_REDIRECT)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
#all-local:
all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
installdirs:
	for dir in "$(DESTDIR)$(octexecdir)" "$(DESTDIR)$(pkgpyexecdir)" "$(DESTDIR)$(pkgpyexecdir)" "$(DESTDIR)$(swig_ifacedir)" "$(DESTDIR)$(pkgincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
##clean-local:
#install-exec-hook:
#uninstall-hook:
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
	clean-octexecLTLIBRARIES clean-pkgpyexecLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-nodist_swig_ifaceHEADERS \
	install-pkgincludeHEADERS

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-nodist_pkgpyexecPYTHON \
	install-octexecLTLIBRARIES install-pkgpyexecLTLIBRARIES
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-nodist_pkgpyexecPYTHON \
	uninstall-nodist_swig_ifaceHEADERS \
	uninstall-octexecLTLIBRARIES uninstall-pkgincludeHEADERS \
	uninstall-pkgpyexecLTLIBRARIES
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
.MAKE: all check check-am install install-am install-exec-am \
	install-strip uninstall-am

.PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
	clean-local clean-octexecLTLIBRARIES \
	clean-pkgpyexecLTLIBRARIES cscopelist-am ctags ctags-am \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-exec-hook install-html install-html-am \
	install-info install-info-am install-man \
	install-nodist_pkgpyexecPYTHON \
	install-nodist_swig_ifaceHEADERS install-octexecLTLIBRARIES \
	install-pdf install-pdf-am install-pkgincludeHEADERS \
	install-pkgpyexecLTLIBRARIES install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
	uninstall-am uninstall-hook uninstall-nodist_pkgpyexecPYTHON \
	uninstall-nodist_swig_ifaceHEADERS \
	uninstall-octexecLTLIBRARIES uninstall-pkgincludeHEADERS \
	uninstall-pkgpyexecLTLIBRARIES

.PRECIOUS: Makefile

.PHONY: header-links header-links-local
header-links: $(pkginclude_HEADERS) $(nodist_pkginclude_HEADERS)
	$(AM_V_at)for dir in $(SUBDIRS); do \
		if test "x$$dir" != "x."; then \
			( cd "$$dir" && $(MAKE) $(AM_MAKEFLAGS) header-links ) || exit 1; \
		fi; \
	done; \
	if test "x$<" != x; then \
		echo "Making header-links in $(subdir)"; \
		for file in $^; do \
			case $$file in \
				header-links-local) continue;; \
				/*) targetfile="$$file";; \
				*) targetfile="$(abs_builddir)/$$file";; \
			esac; \
			linkname=`expr "$$targetfile" : '.*/\([^/]*\)$$'`; \
			linkfile="$(abs_top_builddir)/include/lal/$$linkname"; \
			if test ! -r "$$linkfile" ; then \
				rm -f "$$linkfile"; \
				$(LN_S) "$$targetfile" "$$linkfile"; \
			fi; \
		done; \
	fi

.PHONY: run-octave
run-octave: $(octexec_LTLIBRARIES)
	$(AM_V_at)$(TESTS_ENVIRONMENT)$(test_script_compiler) $(RUNTOOL) "$(OCTAVE)" $(RUNARGS)

.PHONY: run-python
run-python: $(pkgpyexec_LTLIBRARIES)
	$(AM_V_at)$(TESTS_ENVIRONMENT)$(test_script_compiler) $(RUNTOOL) "$(PYTHON)" $(RUNARGS)

.PHONY: force-swig-rule-execution
.PHONY: swig-clean-local
.PHONY: swig-octave-all-local
.PHONY: swig-octave-clean-local
.PHONY: swig-octave-install-hook
.PHONY: swig-octave-uninstall-hook
.PHONY: swig-python-all-local
.PHONY: swig-python-clean-local
.PHONY: swig-python-install-hook
.PHONY: swig-python-uninstall-hook

header-links: header-links-local

header-links-local:
	$(AM_V_at)rm -f $(top_builddir)/include/lal/$(swig_iface) && \
	$(LN_S) $(abs_builddir)/$(swig_iface) $(top_builddir)/include/lal/$(swig_iface)

swiglal_config.h: $(CONFIG_HEADER)
	$(AM_V_GEN)echo '// $@: generated from $< by $(subdir)/Makefile' >$@; \
	$(SED) -n -e 's/^#define  */#define SWIGLAL_/p' $< >>$@

swiglal_header_list.txt: force-swig-rule-execution
	$(AM_V_at)headers=`find $(top_builddir)/include/lal -name '*.h' ! -name '*VCSInfoHeader.h'`; \
	headers=`printf '%s\n' $${headers} | $(SED) -e 's|^.*/\([^/]*\)$$|\1|' | LC_ALL=C sort`; \
	printf "%s\n" $${headers} >$@.tmp; \
	if test -f $@ && diff -s $@ $@.tmp >/dev/null 2>&1; then \
		rm -f $@.tmp; \
	else \
		mv -f $@.tmp $@; \
	fi

include ./$(DEPDIR)/swiglal.deps

$(swig_iface): Makefile swiglal_header_list.txt $(srcdir)/generate_swig_iface.py
	$(AM_V_GEN)echo '// $@_preproc.i: generated by $(subdir)/Makefile' >$@_preproc.i; \
	echo "%module swiglal_preproc;" >>$@_preproc.i; \
	echo "%warnfilter(SWIGWARN_PARSE_REDUNDANT) __swiglal__;" >>$@_preproc.i; \
	echo "%warnfilter(SWIGWARN_PARSE_REDUNDANT) __swiglal_clear__;" >>$@_preproc.i; \
	echo "#define SWIGLAL(...) const char __swiglal__[] = #__VA_ARGS__" >>$@_preproc.i; \
	echo "#define SWIGLAL_CLEAR(...) const char __swiglal_clear__[] = #__VA_ARGS__" >>$@_preproc.i; \
	stddeffile=""; \
	for flag in $(swig_flags); do \
		case "$${flag}" in \
			-I*) \
				dir=`echo $${flag} | $(SED) -e 's|^-I||'`; \
				stddeffile="$${dir}/lal/LALStddef.h"; \
				if test -f "$${stddeffile}"; then \
					break; \
				fi; \
				stddeffile=""; \
				;; \
		esac; \
	done; \
	if test "x$${stddeffile}" = x; then \
		echo "ERROR: could not find LAL standard definitions header" >&2; \
		exit 1; \
	fi; \
	echo "%import \"$${stddeffile}\"" >>$@_preproc.i; \
	printf "%%include <lal/%s>\n" `cat swiglal_header_list.txt` >>$@_preproc.i; \
	if $(SWIG) $(swig_preproc_flags) -o $@_preproc.xml $@_preproc.i; then \
		$(swig_deps_if)mv -f ./$(DEPDIR)/swiglal.deps.tmp ./$(DEPDIR)/swiglal.deps; \
	else \
		$(swig_deps_if)rm -f ./$(DEPDIR)/swiglal.deps.tmp; \
		rm -f $@; \
		exit 1; \
	fi; \
	if $(PYTHON) $(srcdir)/generate_swig_iface.py '$(PACKAGE_NAME)' '$(SWIG_DEPENDENCIES)' '$(swig_function_prefixes)' $@_preproc.xml $@; then \
		: ; \
	else \
		rm -f $@; \
		exit 1; \
	fi

clean-local: swig-clean-local
swig-clean-local:
	-rm -rf swiglal*

#include ./$(DEPDIR)/swiglal_octave.deps

#$(nodist_swiglal_octave_la_SOURCES): $(swig_iface) swiglal_config.h
#	$(AM_V_GEN)$(MKDIR_P) swiglal_octave/ && \
#	if $(SWIG) $(swig_octave_flags) -o $@ $<; then \
#		$(swig_deps_if)mv -f ./$(DEPDIR)/swiglal_octave.deps.tmp ./$(DEPDIR)/swiglal_octave.deps; \
#	else \
#		$(swig_deps_if)rm -f ./$(DEPDIR)/swiglal_octave.deps.tmp; \
#		rm -f $@; \
#		exit 1; \
#	fi

#all-local: swig-octave-all-local
#swig-octave-all-local:
#	$(AM_V_at)$(MKDIR_P) $(top_builddir)/octave && \
#	cd $(top_builddir)/octave && \
#	rm -f $(PACKAGE).oct && \
#	$(LN_S) $(abs_top_builddir)/swig/$(SWIG_LTLIBDIR)/swiglal_octave$(SWIG_SOEXT) $(PACKAGE).oct

#clean-local: swig-octave-clean-local
#swig-octave-clean-local:
#	-cd $(top_builddir)/octave && \
#	rm -f $(PACKAGE).oct

#install-exec-hook: swig-octave-install-hook
#swig-octave-install-hook:
#	cd $(DESTDIR)$(octexecdir) && \
#	rm -f swiglal_octave.la $(PACKAGE).oct* && \
#	mv -f swiglal_octave$(SWIG_SOEXT) $(PACKAGE).oct

#uninstall-hook: swig-octave-uninstall-hook
#swig-octave-uninstall-hook:
#	cd $(DESTDIR)$(octexecdir) && \
#	rm -f $(PACKAGE).oct

include ./$(DEPDIR)/swiglal_python.deps

$(nodist_swiglal_python_la_SOURCES): $(swig_iface) swiglal_config.h
	$(AM_V_GEN)$(MKDIR_P) swiglal_python/ && \
	if $(SWIG) $(swig_python_flags) -o $@ $<; then \
		$(swig_deps_if)mv -f ./$(DEPDIR)/swiglal_python.deps.tmp ./$(DEPDIR)/swiglal_python.deps; \
	else \
		$(swig_deps_if)rm -f ./$(DEPDIR)/swiglal_python.deps.tmp; \
		rm -f $@; \
		exit 1; \
	fi

$(nodist_pkgpyexec_PYTHON): $(nodist_swiglal_python_la_SOURCES)

all-local: swig-python-all-local
swig-python-all-local:
	$(AM_V_at)$(MKDIR_P) $(top_builddir)/python/$(PACKAGE) && \
	cd $(top_builddir)/python/$(PACKAGE) && \
	rm -f _$(PACKAGE)$(SWIG_SOEXT) $(PACKAGE).py && \
	$(LN_S) $(abs_top_builddir)/swig/$(SWIG_LTLIBDIR)/swiglal_python$(SWIG_SOEXT) _$(PACKAGE)$(SWIG_SOEXT) && \
	if test -r $(abs_top_srcdir)/swig/$(nodist_pkgpyexec_PYTHON); then \
		$(LN_S) $(abs_top_srcdir)/swig/$(nodist_pkgpyexec_PYTHON) $(PACKAGE).py; \
	else \
		$(LN_S) $(abs_top_builddir)/swig/$(nodist_pkgpyexec_PYTHON) $(PACKAGE).py; \
	fi

clean-local: swig-python-clean-local
swig-python-clean-local:
	-cd $(top_builddir)/python/$(PACKAGE) && \
	rm -f _$(PACKAGE)$(SWIG_SOEXT) $(PACKAGE).py $(PACKAGE).pyc $(PACKAGE).pyo

install-exec-hook: swig-python-install-hook
swig-python-install-hook:
	cd $(DESTDIR)$(pkgpyexecdir) && \
	rm -f swiglal_python.la _$(PACKAGE)$(SWIG_SOEXT)* && \
	mv -f swiglal_python$(SWIG_SOEXT) _$(PACKAGE)$(SWIG_SOEXT)

uninstall-hook: swig-python-uninstall-hook
swig-python-uninstall-hook:
	cd $(DESTDIR)$(pkgpyexecdir) && \
	rm -f _$(PACKAGE)$(SWIG_SOEXT)

tags-am:
	@echo > swiglal_dummy.c && $(ETAGS) swiglal_dummy.c && rm -f swiglal_dummy.c
ctags-am:
	@echo > swiglal_dummy.c && $(CTAGS) swiglal_dummy.c && rm -f swiglal_dummy.c
cscopelist-am:
	@:

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
